Subject: Re: [rrg] [IRSG] Poll on publication of draft-irtf-rrg-design-goals-05

From: Tony Li <[email-masked]>
Date: Tue, 4 Jan 2011 11:04:56 -0800

A revised version of the RRG design goals document has been submitted to address Juergen's comments.  Please see: http://tools.ietf.org/html/draft-irtf-rrg-design-goals-06

Thanks,
Tony

On Dec 25, 2010, at 10:32 AM, Juergen Schoenwaelder wrote:

> On Thu, Dec 23, 2010 at 12:52:13PM -0500, Joel M. Halpern wrote:
>> This email is to initiate the IRSG Poll on publication of
>> http://www.ietf.org/internet-drafts/draft-irtf-rrg-design-goals-05.txt
>> (also http://tools.ietf.org/html/draft-irtf-rrg-design-goals-05)
>> The state of the document is in IRSG tracker ticket #44:
>> http://trac.tools.ietf.org/group/irtf/trac/ticket/44
>> 
>> The poll will run until January 22, 2011 due to the holidays.
>> As per the IRSG procedures, when responding to the poll please respond 
>> explicitly with one of the four defined conclusions:
>> Ready to publish
>> Not ready to publish
>> No objection
>> Request more time to review
>> 
>> If you find the document is not ready for publication, please provide a 
>> detailed review and actionable comments.
> 
> I have read draft-irtf-rrg-design-goals-05 and I understand from the
> browsing of the mailing list that this document summarizes the design
> goals that were used when the RRG started. While I am fine with the
> content of the document, I think some additional edits are needed to
> comply with RFC 5743 and hence I vote "Not ready to publish". 
> 
> Actionable comments are below (the reason for the not ready to publish
> is comment a), the others are editorial nits that can be fixed easily
> now as well).
> 
> a) The document should comply with section 2.1 "Research Group
>   Preparation" of RFC 5743. The document should state the level of
>   review/support this document has enjoyed and in this particular
>   case it might be also be appropriate to document the historic
>   nature of the design goals (if my reading of the mailing list is
>   correct).
> 
> b) What is the value of defining a priority "Optional" that is never
>   used? I would simply remove that definition from section 1.2.
> 
> c) The short title "Design Goals" is perhaps a bit too terse. What
>   about "Scalable Routing Design Goals" or whatever you can
>   reasonably fit into the headings?
> 
> d) The following reference seems misplaced in section 3.6:
> 
>   [...]  This can be costly, error-
>   prone and painful.  [RFC5887] Automated tools, once developed, are
>   expected to provide significant help in reducing the renumbering
>   pain. [...]
> 
>   I guess the text should have been:
> 
>   [...]  This can be costly, error-
>   prone and painful [RFC5887].  Automated tools, once developed, are
>   expected to provide significant help in reducing the renumbering
>   pain. [...]
> 
> e) In section 3.7, s/intefaces/interfaces/
> 
> f) Since you use "design goal" throughout the document, I suggest to
>   change section 3.11 by replacing requirement with design goal to
>   achieve consistency:
> 
>   OLD
> 
>   The following table summarizes the priorities of the requirements
>   discussed above.
> 
>               +------------------------+------------------+
>               | Requirement            | Priority         |
> 
>   NEW
> 
>   The following table summarizes the priorities of the design goals
>   discussed above.
> 
>               +------------------------+------------------+
>               | Design goal            | Priority         |
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> _______________________________________________
> IRSG mailing list
> [email-masked]
> http://mailman.isi.edu/mailman/listinfo/irsg

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 4 Jan 2011 22:52:19 +0100

> A revised version of the RRG design goals document has been submitted to address Juergen's comments.  Please see: http://tools.ietf.org/html/draft-irtf-rrg-design-goals-06

And I change my vote to "ready to publish".

/js